# idt.h File Reference

`#include <ubixos/types.h>`
`#include <sys/gdt.h>`

Go to the source code of this file.

## Defines

#define | EFLAG_TF 0x100
#define | EFLAG_IF 0x200
#define | EFLAG_IOPL3 0x3000
#define | EFLAG_VM 0x20000

## Functions

int | idtInit ()
void | setVector (void *handler, unsigned char interrupt, unsigned short controlMajor)
void | setTaskVector (uInt8 interrupt, uInt16 controlMajor, uInt8 selector)
void | intNull ()
void | _int0 ()
void | _int1 ()
void | _int2 ()
void | _int3 ()
void | _int4 ()
void | _int5 ()
void | _int6 ()
void | _int7 ()
void | _int8 ()
void | _int9 ()
void | _int10 ()
void | _int11 ()
void | _int12 ()
void | _int13 ()
void | timerInt ()

## Define Documentation

#define EFLAG_IF 0x200

#define EFLAG_IOPL3 0x3000

#define EFLAG_TF 0x100

#define EFLAG_VM 0x20000

## Function Documentation

void _int0 | ( |  | ) |

void _int1 | ( |  | ) |

void _int10 | ( |  | ) |

void _int11 | ( |  | ) |

void _int12 | ( |  | ) |

void _int13 | ( |  | ) |

void _int2 | ( |  | ) |

void _int3 | ( |  | ) |

void _int4 | ( |  | ) |

void _int5 | ( |  | ) |

void _int6 | ( |  | ) |

void _int7 | ( |  | ) |

void _int8 | ( |  | ) |

void _int9 | ( |  | ) |

int idtInit | ( |  | ) |

void intNull | ( |  | ) |

void setTaskVector | ( | uInt8 | interrupt,
|  | uInt16 | controlMajor,
|  | uInt8 | selector
| ) |

void setVector | ( | void * | handler,
|  | unsigned char | interrupt,
|  | unsigned short | controlMajor
| ) |

void timerInt | ( |  | ) |